BizKitHub
DocsAPI ReferenceProduct/bff/product/product-voucher-template-list
getProductAdmin BFF

/bff/product/product-voucher-template-list

Returns all voucher templates linked to the product.

ProductgetBffProductProduct-voucher-template-list

Parameters

1 query

Query parameters

· 1
productCodestringRequired

Product code.

Examplemy-product

Response schema

1 status code documented

200Success
itemsobject[]Required

Linked voucher templates.

Each array item:
voucherIdnumberRequired

Voucher ID.

codestringRequired

Voucher code.

typeIdnumberRequired

Voucher type ID.

valuestringRequired

Voucher value (percentage or absolute).

activebooleanRequired

Whether the voucher is active.

usageLimitnumberOptional

Maximum number of times this voucher can be used.

validFromstringOptional

Voucher validity start date.

validTostringOptional

Voucher validity end date.

itemCountnumberRequired

Total number of linked voucher templates.

Response example

application/json
{
  "items": [
    {
      "voucherId": 0,
      "code": "example_code",
      "typeId": 0,
      "value": "example_value",
      "active": false,
      "usageLimit": 0,
      "validFrom": "example_validFrom",
      "validTo": "example_validTo"
    }
  ],
  "itemCount": 0
}

Request example

GET /bff/product/product-voucher-template-list

get
curl -X GET "https://api.bizkithub.com/bff/product/product-voucher-template-list?productCode=my-product" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_KEY"

Need an API key?

All BizKitHub public API endpoints require authentication via API key.

Get API Key